Autore Topic: Joomla 1.5 e PHP 5.4  (Letto 6141 volte)

Offline Doctorweb

  • Esploratore
  • **
  • Post: 164
    • Mostra profilo
Joomla 1.5 e PHP 5.4
« il: 29 Mag 2014, 09:50:59 »
Salve,
ho un cloud server con una nota azienda italiana dove ci sono sono ancora siti con Joomla 1.5 anche abbastanza elaborati.
Era intenzione upgradare la versione PHP alla 5.4 . Sapete se questa versione di PHP crea problemi alla versione 1.5 di Joomla ?

GRAZIE

Offline giusebos

  • Fuori controllo
  • *
  • Post: 19661
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #1 il: 29 Mag 2014, 10:15:02 »
a joomla no, forse a qualche estensione
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline mmleoni

  • Global Moderator
  • Instancabile
  • *****
  • Post: 5547
  • Sesso: Maschio
  • Just another *nix coder/sysadmin...
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #2 il: 29 Mag 2014, 14:10:18 »
purtroppo ne crea eccome  :(


senza disabilitare i messaggi di errore ogni pagina genera centinaia di avvisi di violazione degli standards di php 5.4. imho sopprimere i messaggi di errore non è mai una scelta consigliabile.
resta poi il problema di template ed estensioni che potrebbero non essere compatibili.


se i siti stanno girando con php 5.3 potete provare l'esperimento. ma io userei versioni php differenti per le differenti versioni joomla.


ho un cloud server
e allora? che sia su un cloud non fornisce alcuna indicazione utile al problema.


ciao,
marco
mmleoni web consulting - creazione siti web aziendali ed e-commerce avanzati - sviluppo moduli e componenti Joomla

Offline giusebos

  • Fuori controllo
  • *
  • Post: 19661
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #3 il: 29 Mag 2014, 14:43:05 »
però io ieri ho proprio ripristinato un backup di un vecchio sito su j1.5.26b su uno spazio con php 5.4.28

Il sito mi serviva per recuperare dei vecchi articoli, dopo il ripristino non ho toccato e ne configurato niente, e nonostante che mi aspettassi qualche messaggio di errore, il sito ha ripreso a funzionare come uno orologio svizzero.

Fortuna? :) :)

su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline mmleoni

  • Global Moderator
  • Instancabile
  • *****
  • Post: 5547
  • Sesso: Maschio
  • Just another *nix coder/sysadmin...
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #4 il: 29 Mag 2014, 15:09:10 »
e quale è il valore riportato dalla funzione error_reporting all'atto dell'esecuzione dello scritp?
perché questa è la domanda giusta ;)


ciao
mmleoni web consulting - creazione siti web aziendali ed e-commerce avanzati - sviluppo moduli e componenti Joomla

Offline giusebos

  • Fuori controllo
  • *
  • Post: 19661
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #5 il: 29 Mag 2014, 15:32:37 »
io ho

error_reporting  =  E_ALL

se non mi lascio ingannare da ALL, dovrebbe voler dire "ti do tutti i rapporti di errore"
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline Doctorweb

  • Esploratore
  • **
  • Post: 164
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #6 il: 29 Mag 2014, 15:45:30 »
Ciao mmleoni,
attualmente il server ha queste caratteristiche :
-  Debian 6.0.7
- Plesk 11.0.9
- Php : 5.3.3-7+squeeze19            
- Mysql : 5.1.72-2            

Già con questa versione di Php si generano innumerevoli errori di tipo "depreacate" per cui ho dovuto disabilitarne la visualizzazione.

Vedrò di far upgradare la verisone di  PHP alla 5.3.10 in modo da poter usare anche le ultime versioni di Joomla.
Se non mi sbaglio 2 versioni diverse di PHP si possono utulizzare  in Plesk 11.5  ma con Debian 7.



Offline giusebos

  • Fuori controllo
  • *
  • Post: 19661
  • Sesso: Maschio
  • Giuseppe Serbelloni Mazzanti Viendalmare
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #7 il: 29 Mag 2014, 15:50:23 »
Citazione
Se non mi sbaglio 2 versioni diverse di PHP si possono utulizzare  in Plesk 11.5  ma con Debian 7.

anche con centos
su www.icagenda.it guide e tutorial con esempi di chronoforms e chronoconnectivity

Offline mmleoni

  • Global Moderator
  • Instancabile
  • *****
  • Post: 5547
  • Sesso: Maschio
  • Just another *nix coder/sysadmin...
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #8 il: 29 Mag 2014, 16:00:19 »

@giuseboserror_reporting restituisce un intero, bisogna vedere questo valore a run time.
sulla tua macchina per lo meno sono disabilitati gli "strict standads" perché j1.5.26 ne genera una marea...
imposta error_reporting(-1) a run time e ne riparliamo, sempre che chi ha configurato il server te lo lasci fare.


@doctorweb
le versioni J1.5.15+ sono dichiarate compatibili con php 5.3, con 5.3.2 sicuramente con 5.3.3 qualche scricchiolio c'è. comunque i deprecated non sono certo un problema, li puoi tranquillamente ignorare a meno che non indichino qualcosa che non ci sarà in 5.4. in tal caso hai già la tua risposta: non girerà mai.


plesk è un prodotto commerciale, quindi qui non se ne può parlare.


la squeeze è la old stable, ma mi pare che abbia il supporto esteso fino al 2016, anche se il bugfix standard finisce questo mese... magari da qui al 2016 hai il tempo per aggiornare i siti  :P


ciao,
marco
mmleoni web consulting - creazione siti web aziendali ed e-commerce avanzati - sviluppo moduli e componenti Joomla

Offline mmleoni

  • Global Moderator
  • Instancabile
  • *****
  • Post: 5547
  • Sesso: Maschio
  • Just another *nix coder/sysadmin...
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #9 il: 29 Mag 2014, 19:24:38 »


tratto dai docs ufficiali:
Citazione
Joomla 1.5 is NOT compatible with PHP 5.4. You must update your site to use Joomla 2.5+ if you find your host upgrades your PHP version.
pare che quelli di joomla.org la pensino come me, vedi un po'...


ciao,
marco

mmleoni web consulting - creazione siti web aziendali ed e-commerce avanzati - sviluppo moduli e componenti Joomla

Offline Doctorweb

  • Esploratore
  • **
  • Post: 164
    • Mostra profilo
Re:Joomla 1.5 e PHP 5.4
« Risposta #10 il: 30 Mag 2014, 09:53:14 »
Confermo,
ho fatto una prova con un sito con Joomla 1.5 di un nostro cliente su uno spazio su XXXX che permette di scegliere le varie verisoni di PHP . In allegato al post  il risultato conusando PHP la 5.4  .



Edited: se non si possono citare servizi commerciali, non si possono neanche mascherare.


[allegato eliminato automaticamente dopo un anno]
« Ultima modifica: 30 Mag 2014, 09:57:07 da maicolstaip »

 

Host

Torna su